#[macro_use]
extern crate serde;

#[macro_use]
pub mod error;

pub mod api;
pub mod auth;
pub mod config;
pub mod jobs;
pub mod upload;

use std::sync::{atomic::AtomicPtr, Arc};

use jobs::TaskQueue;
use sea_orm::DatabaseConnection;

#[derive(Clone)]
pub struct AppState {
  pub conn: DatabaseConnection,
  // pub tx: JobSender,
  pub queue: Arc<TaskQueue>,
}
